# Wan 2.6 R2V Create Video Task

> Wan 2.6 R2V create video task endpoint.

Canonical URL: https://docs.uniall.ai/models/video/wan-2-6/r2v-create-task
Locale: en

## Endpoint


```http
POST /v1/video/generations
```
## Request Body Parameters

| Field | Type | Required | Title | Description |
| --- | --- | --- | --- | --- |
| `model` | string | No | Example field | Appears in a request example; no separate field description is provided. |
| `prompt` | string | No | Example field | Appears in a request example; no separate field description is provided. |
| `videos` | array | No | Example field | Appears in a request example; no separate field description is provided. |
| `size` | string | No | Example field | Appears in a request example; no separate field description is provided. |
| `duration` | number | No | Example field | Appears in a request example; no separate field description is provided. |
| `extra_body` | object | No | Example field | Appears in a request example; no separate field description is provided. |
| `images` | array | No | Example field | Appears in a request example; no separate field description is provided. |

## Request Examples

### Example 1: videoreference

```json
{
  "model": "wan2.6-r2v-flash-720p-audio",
  "prompt": " subject and style, generate a newcamera. ",
  "videos": [
    "https://example.com/reference-shot-1.mp4"
  ],
  "size": "1280*720",
  "duration": 5,
  "extra_body": {
    "negative_prompt": "watermark, blur, flicker",
    "audio": "https://example.com/guide-audio.mp3",
    "shot_type": "single",
    "enable_prompt_expansion": false,
    "seed": -1
  }
}
```

```bash
curl -X POST "{BASE_URL}/v1/video/generations" \
 -H "Authorization: Bearer sk-***" \
 -H "Content-Type: application/json" \
 -d '{"model": "wan2.6-r2v-flash-720p-audio",
 "prompt": " subject and style, generate a newcamera. ",
 "videos": ["https://example.com/reference-shot-1.mp4"],
 "size": "1280*720",
 "duration": 5,
 "extra_body": {"negative_prompt": "watermark, blur, flicker",
 "audio": "https://example.com/guide-audio.mp3",
 "shot_type": "single",
 "enable_prompt_expansion": false,
 "seed": -1}}'
```
### Example 2: reference

```json
{
  "model": "wan2.6-r2v-flash-1080p-silent",
  "prompt": " andstyle, generate a video. ",
  "images": [
    "https://example.com/ref-1.png",
    "https://example.com/ref-2.png"
  ],
  "size": "1920*1080",
  "duration": 10,
  "extra_body": {
    "negative_prompt": "watermark, blur",
    "shot_type": "multi",
    "enable_prompt_expansion": true,
    "seed": 42
  }
}
```

```bash
curl -X POST "{BASE_URL}/v1/video/generations" \
 -H "Authorization: Bearer sk-***" \
 -H "Content-Type: application/json" \
 -d '{"model": "wan2.6-r2v-flash-1080p-silent",
 "prompt": " andstyle, generate a video. ",
 "images": ["https://example.com/ref-1.png",
 "https://example.com/ref-2.png"],
 "size": "1920*1080",
 "duration": 10,
 "extra_body": {"negative_prompt": "watermark, blur",
 "shot_type": "multi",
 "enable_prompt_expansion": true,
 "seed": 42}}'
```
## Response Fields

| Field | Type | Required | Title | Description |
| --- | --- | --- | --- | --- |


## Response Examples

### Example 1

```json
{}
```
